Skip to content

View a client

Request:

GET /api/v2/clients/<client-id>.json

Example of response:

{
    "client": {
        "client_id": "b74e35b0-b6e3-11e8-b938-e03f497dbdff",
        "tenant_id": "156340bf-8b47-21e4-95a4-e03f497dbd44",
        "name": "Parker Group",
        "contacts": [
            {"phone_number": "+14085800150", "name": "Main number"},
            {"phone_number": "+14085800105", "name": "Fax"}
        ]
    }
}

See Client object fields.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The client is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view clients
404 Not Found Client with such ID does not exist, or it is outside the access scope of the API user